Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.bench
Class Histogram

    java.lang.Object
      com.intel.cosbench.bench.Histogram

All Implemented Interfaces:
  java.lang.Cloneable

    public class Histogram

extends java.lang.Object
implements java.lang.Cloneable

This class encapsulates calculation of different percentiles, so far it supports 60/80/90/95/99/100 percentiles.

Author:
  ywang19

Constructor Summary
`Histogram()`

Method Summary
`Histogram` | `clone()`
`static Histogram` | `convert(Counter counter)`
`long[]` | `get_100()`
`long[]` | `get_60()`
`long[]` | `get_80()`
`long[]` | `get_90()`
`long[]` | `get_95()`
`long[]` | `get_99()`
`int[]` | `getHistoData()`
`void` | `recalcPercentiles()` The method calculates 60/80/90/95/99 percentiles.
`void` | `set_100(long[] _100)`
`void` | `set_60(long[] _60)`
`void` | `set_80(long[] _80)`
`void` | `set_90(long[] _90)`
`void` | `set_95(long[] _95)`
`void` | `set_99(long[] _99)`
`void` | `setHistoData(int[] histoData)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Histogram

    public Histogram()

Method Detail

### get_60

    public long[] get_60()

### set_60

    public void set_60(long[] _60)

### get_80

    public long[] get_80()

### set_80

    public void set_80(long[] _80)

### get_90

    public long[] get_90()

### set_90

    public void set_90(long[] _90)

### get_95

    public long[] get_95()

### set_95

    public void set_95(long[] _95)

### get_99

    public long[] get_99()

### set_99

    public void set_99(long[] _99)

### get_100

    public long[] get_100()

### set_100

    public void set_100(long[] _100)

### getHistoData

    public int[] getHistoData()

### setHistoData

    public void setHistoData(int[] histoData)

### recalcPercentiles

    public void recalcPercentiles()

  The method calculates 60/80/90/95/99 percentiles.

  Parameters:
    `` -

### clone

    public Histogram clone()

  Overrides:
    `clone` in class `java.lang.Object`

### convert

    public static Histogram convert(Counter counter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD